#
# spec file for package pauker
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

Name:           pauker
Summary:        Pauker is a generic flashcard program for learning vocabularies
Version:        1.8
Release:        lp150.1.1
License:        GPL
Url:            http://pauker.sourceforge.net/
Group:          Productivity/Other
#BuildRequires:  unzip
#BuildRequires:  ant
#BuildRequires:  java-devel
%if 0%{?suse_version}
BuildRequires:  update-desktop-files 
%endif
Requires:       java >= 1.5.0
Requires:       jpackage-utils >= 1.5
BuildArch:      noarch
Vendor:         openSUSE-Education
#Source0:        %{name}-%{version}.src.jar
Source0:        %{name}-%{version}.jar
Source1:        pauker.png
Source2:        pauker.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define         installpath %{_datadir}/java/%{name}

%description
 Pauker is a
    * completely free (OpenSource, GPL)
    * flash card based,
    * learning application
    * written in Java
    * using the leitner cardfile system
    * available in Dutch, English, Esperanto, German, French and Polish
    * works offline without the need of an internet connection
    * and is compatible with MiniPauker, a Pauker version for PDA's and mobile phones.


Authors:
-------
    Ronny Standtke
    Axel Kittenberger - Website and more
    Markus Brosch - Searching for similar cards, MiniPauker
    Kay Patzwald - RPM package


%prep
%setup -q -T -c %name
## %setup -q -T -c %name-%version -a0

%build
##%ant -Dplatforms.JDK_1.5.home=/etc/alternatives/java_sdk jar 

%install
%if 0%{?suse_version}
export NO_BRP_CHECK_BYTECODE_VERSION="true"
%endif
mkdir -p %buildroot/%installpath
mkdir -p %buildroot/%_bindir
install -m644 %SOURCE0 %buildroot/%installpath/
install -D -m644 %SOURCE1 %buildroot/%_datadir/pixmaps/pauker.png
install -D -m644 %SOURCE2 %buildroot/%_datadir/applications/pauker.desktop

# startscript
cat > pauker.sh <<EOF
#! /bin/bash
java -jar %installpath/%{name}-%{version}.jar
EOF
install -m 755 pauker.sh %buildroot/%_bindir/
%if 0%{?suse_version}
%suse_update_desktop_file -i -n -r pauker Education Languages
%endif

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%attr(755,root,root)  %{_bindir}/%name.sh
%dir %{installpath}
%{installpath}/%{name}*.jar
%_datadir/applications/%{name}.desktop
%_datadir/pixmaps/pauker.png

%changelog
* Thu Dec 25 2008 lars@linux-schulserver.de
- update to 1.8:
  + Many bugs were fixed and some new translations were added.
  + The overall performance, the documentation and
    the GUI was improved.
* Tue Dec 16 2008 lars@linux-schulserver.de
- update to 1.8RC7:
  + The import dialog can be cancelled now
  + Parsing broken lessons is more robust now
  + Lesson files are no longer corrupted when an OutOfMemoryError
    occurs when saving a lesson
* Thu Nov 20 2008 lars@linux-schulserver.de
- update to 1.8RC6:
  + The default maximum heap size was enlarged to 128 MB.
    OutOfMemoryErrors when saving a lesson are now catched and
    reported.
  + Logging and i18n is now used for the startup debugging output.
  + A warning message will now be presented at startup when the
    maximum heap size is too small.
* Tue Oct 28 2008 lars@linux-schulserver.de
- update to 1.8RC5:
  + Do not use XML-1.1 (does more harm than good).
  + Disable typing error buttons when pausing.
  + Save "Show timer" settings.
* Tue Oct 14 2008 lars@linux-schulserver.de
- update to 1.8RC4
  + Added Vietnamese localization
  + completed documentation and
  + fixed many bugs.
* Wed Oct  8 2008 lars@linux-schulserver.de
- own the install path
* Thu Sep 25 2008 lars@linux-schulserver.de
- moved to Education base repository
* Mon Mar 17 2008 lars@linux-schulserver.de
- Update to 1.8RC3:
  + Many bugs have been fixed and
  + the documentation has been updated
* Sat Jan  5 2008 lars@linux-schulserver.de
- update to 1.8RC2
- build as noarch
* Thu Sep 27 2007 lars@linux-schulserver.de
- initial release 1.8RC
